Subject: bug#6390: Should not regexp-quote quote newline?

From: Lennart Borgman <[email-masked]>
Date: Fri, 11 Jun 2010 22:37:54 +0200

On Fri, Jun 11, 2010 at 10:09 PM, MON KEY <[email-masked]> wrote:
> On Fri, Jun 11, 2010 at 12:43 AM, Lennart Borgman
> <[email-masked]> wrote:
>>> Sure. I object on the grounds that what you propose is madness.
>>
>> I can see no objection at all. What is it?
>>
>
> You've confirmed my suspicion ;)
>
> The objection is that what you propose is madness, i.e lunacy!

I still see no objection because I have not the slightest idea how you
mean all the things you are telling are related to my proposal.

The only interpretation I can make is that the madness is already here
since linefeed and form-feed already may be written as \n and \f if
you set print-escape-newlines to t. All I proposed was that it should
write tab as \t too.

I might not have proposed that if I knew it was that utterly
disturbing to someone. ;-)

On a brighter side I think you have misunderstood my question and
suggestion. Please read it again and especially the conversation with
Andreas.

> It is absolutely NTRT to interpolate any such chars routed through the
> elisp printer simply b/c you disagree with how an ASCII standard
> character has been historically (mis)interpreted. Its the _users_
> prerogative to dictate her intention here; it certainly isn't yours,
> or Microsofts', or Emacs'.
>
> IMHO it would be _insane_ to replace "\f" linefeed with "\t"
>
> Evaluate these to see why:
>
>  (progn
>   (insert-char 12 1)
>   (describe-char (1- (point))))
>
>  (progn
>   (insert-char 9 1)
>   (describe-char (1- (point))))
>
> Among other things, you may notice the inserted glyph `^L' which is used
> throughout Emacs as the default value for indication of page boundaries.
> e.g. `page-delimiter' and her buddy `forward-page'...
>
> Not only are you asking to have the form-feed value replaced with an entirely
> different _non-visible_ character but you are asking to fundamentally alter the
> semantics from:
>  "Occurences of this character indicate vertical movement of the
> print-head at EOL"
> to:
>  "Occurences of this character indicate tabbed horizontal movement at EOL"
>
> Blech! Why would you want to do something so silly?
>
> Check out this history of the form-feed and (one of) its early
> intended applications:
>
> :SEE (URL `http://www.rfc-editor.org/EOLstory.txt')
>
> :SEE-ALSO (URL `http://en.wikipedia.org/wiki/Linefeed')
>
> P.S. I've taken on faith that you aren't instead suggesting to replace
> "\f" with the line tabulation char `^K' ASCII 11 e.g. (insert 11)
> Which would make only slightly more sense than the folly you've proposed.
>
> --
> /s_P\
>